[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBListBox.DataChange

Performs actions needed when the linked dataset is repositioned.

## Declaration

Source position: dbctrls.pp line 366

`protected procedure TCustomDBListBox.DataChange(`
`Sender: TObject`
`); virtual; abstract;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

DataChange is an method used to perform actions needed when the control needs to be refreshed after a positioning the linked dataset. DataChange is an abstract virtual method in TCustomDBListBox, and must be implemented in a descendent class to perform the actions required for the control.

DataChange is assigned to the OnDataChange event handler in the TFieldDataLink instance used in data-aware controls.

## See also

TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.
TDBListBox.DataChange |  | Implements the event handler signalled when data in the linked dataset has been changed.
TDBLookupListBox.DataChange |  | Performs actions needed when a new DataField value is selected using the lookup dataset.